%define name php-pear-Net_DIME
%define rname Net_DIME
%define version 0.3
%define rversion 0.3
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: The PEAR::Net_DIME class implements DIME encodin
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/Net_DIME
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
%description
This is the initial independent release of the Net_DIME package.
Provides an implementation of DIME as defined at
http://search.ietf.org/internet-drafts/draft-nielsen-dime-02.txt

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Net
cp DIME.php $RPM_BUILD_ROOT%{pear_phpdir}/Net/DIME.php
mkdir -p $RPM_BUILD_ROOT%{pear_testdir}/Net//test
cp test/dime_message_test.php $RPM_BUILD_ROOT%{pear_testdir}/Net//test/dime_message_test.php
cp test/dime_record_test.php $RPM_BUILD_ROOT%{pear_testdir}/Net//test/dime_record_test.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/Net
%dir %{pear_testdir}/Net//test
%{pear_phpdir}/Net/DIME.php
%{pear_testdir}/Net//test/dime_message_test.php
%{pear_testdir}/Net//test/dime_record_test.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 0.3-1mdk

- First mdk package

